summaryrefslogtreecommitdiff
path: root/haschanged.sh
diff options
context:
space:
mode:
authorKevin E Martin <kem@kem.org>2005-10-18 19:56:13 +0000
committerKevin E Martin <kem@kem.org>2005-10-18 19:56:13 +0000
commit91a81114c51063ccdc933501829dadc0a964db26 (patch)
tree08dff37c69dd690bfd48a44186b0344a48f2bea0 /haschanged.sh
parent2ddf8008ec58769158a0063d524e79c5b6256438 (diff)
Script to determine which module components have changed since they wereXORG-6_99_99_901
tagged with the tag given on the command-line.
Diffstat (limited to 'haschanged.sh')
-rwxr-xr-xhaschanged.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/haschanged.sh b/haschanged.sh
new file mode 100755
index 0000000..70de181
--- /dev/null
+++ b/haschanged.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if test x$1 = x; then
+ echo Usage $0 tag
+ exit 1
+fi
+
+TAG=$1
+
+haschanged() {
+ if ! test -d $1; then
+ exit $1 is not a directory
+ fi
+ cd $1
+ for i in `ls -1`; do
+ if test -e $i/configure.ac; then
+ CHANGED=no
+ cvs diff -uN -r $TAG -r HEAD $i > /dev/null 2>&1 || CHANGED=yes
+ if test $CHANGED = yes; then
+ echo $1/$i has changed since $TAG
+ else
+ echo $1/$i has not changed since $TAG
+ fi
+ fi
+ done
+ cd ..
+}
+
+haschanged app
+haschanged data
+haschanged doc
+haschanged driver
+haschanged font
+haschanged lib
+haschanged proto
+haschanged util
+haschanged xserver